> For the complete documentation index, see [llms.txt](https://docs.binaexperts.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.binaexperts.com/abrmqadyr-pyshrfth/yaml-yaml.md).

# YAML (یامل)

یک فایل هایپرپارامتر در قالب YAML یک فایل پیکربندی است که حاوی هایپرپارامترها و تنظیمات مورد استفاده برای آموزش یک مدل شبکه عصبی است. YAML (که مخفف "YAML Ain't Markup Language" است) یک زبان سریال سازی داده خوانا برای انسان است که به دلیل سادگی و خوانایی آن، معمولاً برای فایل های پیکربندی استفاده می شود. در زیر نمونه ای از آنچه یک فایل هایپرپارامتر در قالب YAML ممکن است به نظر برسد، آورده شده است:

```yaml
model:
  type: "resnet"
  num_layers: 18
  num_classes: 10

optimizer:
  type: "adam"
  learning_rate: 0.001
  weight_decay: 0.0001

training:
  batch_size: 32
  num_epochs: 100
  early_stopping:
    patience: 5
    min_delta: 0.001

data:
  train_data_path: "/path/to/train_data"
  val_data_path: "/path/to/val_data"
  
```

در این مثال:

* در بخش مدل، هایپرپارامترهای مرتبط با معماری شبکه عصبی مشخص شده اند، مانند نوع مدل (مثلاً ResNet)، تعداد لایه ها، و تعداد کلاس های خروجی.
* در بخش بهینه ساز، هایپرپارامترهای مرتبط با بهینه ساز مورد استفاده برای آموزش مشخص شده اند، مانند نوع بهینه ساز (مثلاً Adam)، نرخ یادگیری، و تخفیف وزن.
* در بخش آموزش، هایپرپارامترهای مرتبط با فرآیند آموزش مشخص شده اند، مانند اندازه دسته، تعداد عصور، و معیارهای توقف زودهنگام.
* در بخش داده، مسیرهای مربوط به مجموعه داده های آموزش و اعتبارسنجی مشخص شده اند. استفاده از یک فایل YAML برای ذخیره هایپرپارامترها اجازه می دهد تا با تغییرات آسان و آزمایش با تنظیمات مختلف بدون نیاز به تغییر کد منبع اسکریپت آموزش، انجام شود. علاوه بر این، روشی روشن و سازمان یافته برای اسناد هایپرپارامترهای مورد استفاده برای آموزش یک مدل را فراهم می کند.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.binaexperts.com/abrmqadyr-pyshrfth/yaml-yaml.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
